Bug 57518 - up2date on 7.0 fails to update lilo.conf for 2.2.19-7.0.12
Summary: up2date on 7.0 fails to update lilo.conf for 2.2.19-7.0.12
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
: 60200 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-14 19:28 UTC by Phil D'Amore
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 16:10:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil D'Amore 2001-12-14 19:28:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.12 i686)

Description of problem:
When running up2date to update the kernel to 2.2.19-7.0.12, the lilo.conf
is not modified to reflect the presence of the new kernel.  The lilo.conf
started as:

boot=/dev/md3
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
default=linux

image=/boot/vmlinuz-2.2.16-22smp
        label=linux
        initrd=/boot/initrd-2.2.16-22smp.img
        read-only
        root=/dev/md0

image=/boot/vmlinuz-2.2.16-22
        label=linux-up
        initrd=/boot/initrd-2.2.16-22.img
        read-only
        root=/dev/md0

This example was a fresh install.  I have also found that the problem
occurs on a machine that is already installed that was taken from
2.2.19-7.0.10 to 2.2.19-7.0.12.  In that case, the file contained images
for the 2.2.16-22 and 2.2.19-7.0.10, with the 2.2.16-22 being the backup
and the 2.2.19-7.0.10 being the active one.

I am using up2date-2.7.11-7.x.1, and up2date returned no errors when it was
run.


Version-Release number of selected component (if applicable):
up2date-2.7.11-7.x.1

How reproducible:
Always

Steps to Reproduce:
1. up2date --force -u on a 7.0 box
2. observe that lilo.conf is not updated.
3.
	

Actual Results:  lilo.conf is not modified.

Expected Results:  lilo.conf should be modified to make new kernel the
booting kernel, as it has done w/ previous kernel errata.

Additional info:

Comment 1 Adrian Likins 2001-12-14 20:28:56 UTC
any errors reported in /var/log/up2date?

Typically, if the lilo test run fails, up2date will not update lilo.conf,
but it also should display an error message.

can you verify that the starting lilo.conf is valid? (ie, just a `lilo -v -t`
should tell you if there are any errors)





Comment 2 Phil D'Amore 2001-12-14 22:10:55 UTC
Here is a snippet from the /var/log/up2date file from the last machine that had
this paroblem, reflecting me running up2date --force -u to make the kernel
update:

[Fri Dec 14 13:16:20 2001] up2date updating login info
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date logging into up2date server
[Fri Dec 14 13:16:20 2001] up2date successfully retrived authentication token
from up2date server
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date getAvailablePackageList from network
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date see if we need to login again
[Fri Dec 14 13:16:20 2001] up2date installing packages: ['kernel-2.2.19-7.0.12',
'kernel-smp-2.2.19-7.0.12', 'kernel-utils-2.2.19-7.0.12'] 
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 1
[Fri Dec 14 13:16:20 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 13:16:20 2001] up2date Removing packages from package profile:
['kernel-utils-2.2.19-7.0.10']
[Fri Dec 14 13:16:20 2001] up2date Adding packages to package profile:
['kernel-2.2.19-7.0.12', 'kernel-smp-2.2.19-7.0.12',
'kernel-utils-2.2.19-7.0.12']
[Fri Dec 14 13:16:20 2001] up2date Modifying bootloader config to include the
new kernel info
[Fri Dec 14 13:16:20 2001] up2date Adding 2.2.19-7.0.12 to bootloader config
[Fri Dec 14 13:16:20 2001] up2date Adding 2.2.19-7.0.12smp to bootloader config
[Fri Dec 14 13:16:20 2001] up2date deleting
/var/spool/up2date/kernel-2.2.19-7.0.12.i686.hdr
[Fri Dec 14 13:16:20 2001] up2date deleting
/var/spool/up2date/kernel-2.2.19-7.0.12.i686.rpm
[Fri Dec 14 13:16:20 2001] up2date deleting
/var/spool/up2date/kernel-smp-2.2.19-7.0.12.i686.hdr
[Fri Dec 14 13:16:20 2001] up2date deleting
/var/spool/up2date/kernel-smp-2.2.19-7.0.12.i686.rpm
[Fri Dec 14 13:16:20 2001] up2date deleting
/var/spool/up2date/kernel-utils-2.2.19-7.0.12.i386.hdr
[Fri Dec 14 13:16:20 2001] up2date deleting
/var/spool/up2date/kernel-utils-2.2.19-7.0.12.i386.rpm
[Fri Dec 14 15:36:04 2001] up2date updating login info
[Fri Dec 14 15:36:04 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Fri Dec 14 15:36:04 2001] up2date logging into up2date server
[Fri Dec 14 15:36:04 2001] up2date successfully retrived authentication token
from up2date server

Does not appear to be any errors. 

Here is a fresh box:

[root@dhcpd120 /root]# cat /etc/lilo.conf  
boot=/dev/md3
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
default=linux

image=/boot/vmlinuz-2.2.16-22smp
	label=linux
	initrd=/boot/initrd-2.2.16-22smp.img
	read-only
	root=/dev/md0

image=/boot/vmlinuz-2.2.16-22
	label=linux-up
	initrd=/boot/initrd-2.2.16-22.img
	read-only
	root=/dev/md0

[root@dhcpd120 /root]# /sbin/lilo -t -v
LILO version 21.4-4 (test mode), Copyright (C) 1992-1998 Werner Almesberger
'lba32' extensions Copyright (C) 1999,2000 John Coffman

boot = /dev/hda, map = /boot/map.0307
Reading boot sector from /dev/hda
Merging with /boot/boot.b
Mapping message file /boot/message
Boot image: /boot/vmlinuz-2.2.16-22smp
Mapping RAM disk /boot/initrd-2.2.16-22smp.img
Added linux *
Boot image: /boot/vmlinuz-2.2.16-22
Mapping RAM disk /boot/initrd-2.2.16-22.img
Added linux-up
The boot sector and the map file have *NOT* been altered.
boot = /dev/hdb, map = /boot/map.0347
Reading boot sector from /dev/hdb
Merging with /boot/boot.b
Mapping message file /boot/message
Boot image: /boot/vmlinuz-2.2.16-22smp
Mapping RAM disk /boot/initrd-2.2.16-22smp.img
Added linux *
Boot image: /boot/vmlinuz-2.2.16-22
Mapping RAM disk /boot/initrd-2.2.16-22.img
Added linux-up
The boot sector and the map file have *NOT* been altered.

[root@dhcpd120 /root]# up2date --force -u

Retrieving list of all available packages...
########################################
########################################

Removing installed packages from list of updates...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
glibc-common                            2.2.4          18.7.0.3            
openldap12                              1.2.12         3                   
openssl095a                             0.9.5a         9                   

Retrieving selected packages...
LPRng-3.7.4-23.i386.rpm:    ########################## Done.                   
XFree86-SVGA-3.3.6-38.i386. ########################## Done.                   
bind-utils-8.2.3-1.i386.rpm ########################## Done.                  
cyrus-sasl-1.5.24-22.7.i386 ########################## Done.                   
db3-3.1.17-5.i386.rpm:      ########################## Done.                   
diffutils-2.7-22.70.i386.rp ########################## Done.                   
e2fsprogs-1.18-16.i386.rpm: ########################## Done.                   
esound-0.2.20-1.i386.rpm:   ########################## Done.                   
ghostscript-5.50-19.rh7.0.i ########################## Done.                   
glibc-2.2.4-18.7.0.3.i686.r ########################## Done.                   
gnupg-1.0.6-1.i386.rpm:     ########################## Done.                   
iputils-20001010-1.i386.rpm ########################## Done.                   
kernel-2.2.19-7.0.12.i686.r ########################## Done.                   
kernel-smp-2.2.19-7.0.12.i6 ########################## Done.                   
kernel-utils-2.2.19-7.0.12. ########################## Done.                   
krb5-libs-1.2.2-12.i386.rpm ########################## Done.                   
libstdc++-2.96-85.i386.rpm: ########################## Done.                   
losetup-2.10r-5.i386.rpm:   ########################## Done.                   
man-1.5i2-0.7x.5.i386.rpm:  ########################## Done.                   
modutils-2.3.21-1.i386.rpm: ########################## Done.                   
mount-2.10r-5.i386.rpm:     ########################## Done.                   
ncurses-5.2-2.i386.rpm:     ########################## Done.                   
nfs-utils-0.3.1-7.i386.rpm: ########################## Done.                   
ntp-4.0.99k-15.i386.rpm:    ########################## Done.                   
openldap-2.0.11-8.i386.rpm: ########################## Done.                   
openssh-2.9p2-11.7.i386.rpm ########################## Done.                   
openssh-clients-2.9p2-11.7. ########################## Done.                   
openssh-server-2.9p2-11.7.i ########################## Done.                   
openssl-0.9.6-9.i386.rpm:   ########################## Done.                   
pam-0.72-37.i386.rpm:       ########################## Done.                   
perl-5.6.0-10a.i386.rpm:    ########################## Done.                   
popt-1.6.2-7x.i386.rpm:     ########################## Done.                   
printtool-3.54-2.noarch.rpm ########################## Done.                   
procmail-3.21-0.71.i386.rpm ########################## Done.                   
rhs-printfilters-1.81-4.rh7 ########################## Done.                   
sendmail-8.11.6-2.7.0.i386. ########################## Done.                   
slocate-2.4-1.i386.rpm:     ########################## Done.                   
stunnel-3.10-2.i386.rpm:    ########################## Done.                   
sudo-1.6.3p6-1.i386.rpm:    ########################## Done.                   
sysklogd-1.3.33-8.i386.rpm: ########################## Done.                   
sysstat-3.3.3-3.i386.rpm:   ########################## Done.                   
tcsh-6.10-1.i386.rpm:       ########################## Done.                   
telnet-0.17-18.i386.rpm:    ########################## Done.                   
tetex-fonts-1.0.7-8.1.i386. ########################## Done.                   
tetex-xdvi-1.0.7-8.1.i386.r ########################## Done.                   
tmpwatch-2.8-0.7.x.i386.rpm ########################## Done.                   
ucd-snmp-4.2.1-4.7.x.i386.r ########################## Done.                   
ucd-snmp-utils-4.2.1-4.7.x. ########################## Done.                   
usermode-1.37-2.i386.rpm:   ########################## Done.                   
vim-common-5.7-8.i386.rpm:  ########################## Done.                   
vim-enhanced-5.7-8.i386.rpm ########################## Done.                   
vim-minimal-5.7-8.i386.rpm: ########################## Done.                   
vixie-cron-3.0.1-61.i386.rp ########################## Done.                   
xinetd-2.3.3-1.i386.rpm:    ########################## Done.                   
glibc-common-2.2.4-18.7.0.3 ########################## Done.                   
openldap12-1.2.12-3.i386.rp ########################## Done.                   
openssl095a-0.9.5a-9.i386.r ########################## Done.                   
Preparing...                ########################################### [100%]
   1:tetex-fonts            ########################################### [  1%]
   2:glibc-common           ########################################### [  3%]
   3:glibc                  ########################################### [  5%]
error: cannot remove /usr/share/locale/el/LC_MESSAGES - directory not empty
error: cannot remove /usr/share/locale/el - directory not empty
   4:XFree86-SVGA           ########################################### [  7%]
   5:bind-utils             ########################################### [  8%]
   6:db3                    ########################################### [ 10%]
   7:diffutils              ########################################### [ 12%]
   8:e2fsprogs              ########################################### [ 14%]
   9:esound                 ########################################### [ 15%]
  10:ghostscript            ########################################### [ 17%]
  11:gnupg                  ########################################### [ 19%]
  12:iputils                ########################################### [ 21%]
  13:kernel-utils           ########################################### [ 22%]
  14:krb5-libs              ########################################### [ 24%]
  15:LPRng                  ########################################### [ 26%]
  16:libstdc++              ########################################### [ 28%]
  17:losetup                ########################################### [ 29%]
  18:man                    ########################################### [ 31%]
  19:modutils               ########################################### [ 33%]
  20:kernel                 ########################################### [ 35%]
  21:kernel-smp             ########################################### [ 36%]
  22:mount                  ########################################### [ 38%]
  23:ncurses                ########################################### [ 40%]
  24:nfs-utils              ########################################### [ 42%]
  25:ntp                    ########################################### [ 43%]
  26:openssl                ########################################### [ 45%]
  27:pam                    ########################################### [ 47%]
  28:cyrus-sasl             ########################################### [ 49%]
  29:openldap               ########################################### [ 50%]
  30:openssh                ########################################### [ 52%]
  31:openssh-clients        ########################################### [ 54%]
  32:openssh-server         ########################################### [ 56%]
  33:perl                   ########################################### [ 57%]
  34:popt                   ########################################### [ 59%]
  35:procmail               ########################################### [ 61%]
  36:rhs-printfilters       ########################################### [ 63%]
  37:printtool              ########################################### [ 64%]
  38:slocate                ########################################### [ 66%]
  39:sudo                   ########################################### [ 68%]
  40:sysklogd               ########################################### [ 70%]
  41:sysstat                ########################################### [ 71%]
  42:tcsh                   ########################################### [ 73%]
  43:telnet                 ########################################### [ 75%]
  44:tetex-xdvi             ########################################### [ 77%]
  45:tmpwatch               ########################################### [ 78%]
  46:ucd-snmp               ########################################### [ 80%]
  47:ucd-snmp-utils         ########################################### [ 82%]
  48:usermode               ########################################### [ 84%]
  49:vim-common             ########################################### [ 85%]
  50:vim-enhanced           ########################################### [ 87%]
  51:vim-minimal            ########################################### [ 89%]
  52:vixie-cron             ########################################### [ 91%]
  53:xinetd                 ########################################### [ 92%]
  54:openldap12             ########################################### [ 94%]
  55:sendmail  ########################################### [ 96%]
  56:openssl095a            ########################################### [ 98%]
  57:stunnel                ########################################### [100%]

lilo.conf after running:

[root@dhcpd120 /root]# cat /etc/lilo.conf 
boot=/dev/md3
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
default=linux

image=/boot/vmlinuz-2.2.16-22smp
	label=linux
	initrd=/boot/initrd-2.2.16-22smp.img
	read-only
	root=/dev/md0

image=/boot/vmlinuz-2.2.16-22
	label=linux-up
	initrd=/boot/initrd-2.2.16-22.img
	read-only
	root=/dev/md0



Comment 3 Adrian Likins 2002-04-30 19:41:15 UTC
should be fixed in current errata releases.

Comment 4 Josef Komenda 2002-07-17 17:44:59 UTC
Confirmed fixed. Closing.


Comment 5 Josef Komenda 2002-07-17 17:50:31 UTC
*** Bug 60200 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.